## org.jdom
Class DataConversionException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.jdom.JDOMException
                        |
                        +--org.jdom.DataConversionException

public class DataConversionException
extends JDOMException

`DataConversionException` is thrown when a requested XML value is requested to be converted, and conversion fails.

Version:
  $Revision: 1.7 $, $Date: 2002/01/08 09:17:10 $
Author:
  Brett McLaughlin, Jason Hunter
See Also:
  Serialized Form

Fields inherited from class org.jdom.JDOMException
`cause`

Constructor Summary
`DataConversionException(java.lang.String name, java.lang.String dataType)` This will create an `Exception` indicating that the specified attribute does not exist for the current element.

Methods inherited from class org.jdom.JDOMException
`getCause, getMessage, initCause, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataConversionException

    public DataConversionException(java.lang.String name,
                                   java.lang.String dataType)

  This will create an `Exception` indicating that the specified attribute does not exist for the current element.

  Parameters:
    `name` - `String` name of XML attribute being searched for.
    `dataType` - `String` name of data type being converted to.

Copyright © 2002 Jason Hunter, Brett McLaughlin. All Rights Reserved.